TaxonomyClassificationAggregator (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.server.stream.aggregation

## Class TaxonomyClassificationAggregator<T extends TaxonomyProvider>

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.server.stream.aggregation.TaxonomyClassificationAggregator<T>

- All Implemented Interfaces:
    Aggregator<T,EnumMap<MainTaxonomicRankEnum,HashMap<String,ClassificationModel>>>

      public class TaxonomyClassificationAggregator<T extends TaxonomyProvider>
      extends Object
      implements Aggregator<T,EnumMap<MainTaxonomicRankEnum,HashMap<String,ClassificationModel>>>

  Author:
    "Federico De Faveri defaveri@isti.cnr.it" modified by Francesco Mangiacrapa february 2013

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EnumMap<MainTaxonomicRankEnum,HashMap<String,ClassificationModel>>` | `aggregations`
    `static String` | `BASETAXONOMY`
    `static String` | `NAME`
    `static Map<String,MainTaxonomicRankEnum>` | `RANKS`
    `static String` | `TAXONOMYUNKNOWN`
    `static String` | `UNDEFINED`
    `static String` | `UNK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyClassificationAggregator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `addTaxonToAggregation(MainTaxonomicRankEnum aggregationRank, String taxonId, String classificationName, String baseTaxonId, String baseTaxonValue, String classificationRank)`
    `protected String` | `addTaxonToAggregation(MainTaxonomicRankEnum aggregationRank, TaxonomyInterface taxon, String baseTaxonId, String baseTaxonValue, String classificationRank)`
    `void` | `aggregate(TaxonomyProvider row)`
    `EnumMap<MainTaxonomicRankEnum,HashMap<String,ClassificationModel>>` | `getAggregation()`
    `protected HashMap<String,ClassificationModel>` | `getAggregation(MainTaxonomicRankEnum rank)`
    `String` | `getName()`
    `protected EnumMap<MainTaxonomicRankEnum,TaxonomyInterface>` | `groupTaxonByRank(List<? extends TaxonomyInterface> listTaxonomyInteface)`
    `protected void` | `setClassification(TaxonomyProvider input, MainTaxonomicRankEnum rank, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### TAXONOMYUNKNOWN

          public static final String TAXONOMYUNKNOWN

      See Also:
        Constant Field Values

    - #### BASETAXONOMY

          public static final String BASETAXONOMY

      See Also:
        Constant Field Values

    - #### UNK

          public static final String UNK

      See Also:
        Constant Field Values

    - #### UNDEFINED

          public static final String UNDEFINED

      See Also:
        Constant Field Values

    - #### RANKS

          public static final Map<String,MainTaxonomicRankEnum> RANKS

    - #### aggregations

          protected EnumMap<MainTaxonomicRankEnum,HashMap<String,ClassificationModel>> aggregations

  - ### Constructor Detail

    - #### TaxonomyClassificationAggregator

          public TaxonomyClassificationAggregator()

      Parameters:
        `aggregationRank` -

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Aggregator<T extends TaxonomyProvider,EnumMap<MainTaxonomicRankEnum,HashMap<String,ClassificationModel>>>`

    - #### aggregate

          public void aggregate(TaxonomyProvider row)

      Specified by:
        `aggregate` in interface `Aggregator<T extends TaxonomyProvider,EnumMap<MainTaxonomicRankEnum,HashMap<String,ClassificationModel>>>`

    - #### setClassification

          protected void setClassification(TaxonomyProvider input,
                               MainTaxonomicRankEnum rank,
                               String value)

    - #### groupTaxonByRank

          protected EnumMap<MainTaxonomicRankEnum,TaxonomyInterface> groupTaxonByRank(List<? extends TaxonomyInterface> listTaxonomyInteface)

    - #### addTaxonToAggregation

          protected String addTaxonToAggregation(MainTaxonomicRankEnum aggregationRank,
                                     TaxonomyInterface taxon,
                                     String baseTaxonId,
                                     String baseTaxonValue,
                                     String classificationRank)

    - #### addTaxonToAggregation

          protected String addTaxonToAggregation(MainTaxonomicRankEnum aggregationRank,
                                     String taxonId,
                                     String classificationName,
                                     String baseTaxonId,
                                     String baseTaxonValue,
                                     String classificationRank)

    - #### getAggregation

          protected HashMap<String,ClassificationModel> getAggregation(MainTaxonomicRankEnum rank)

    - #### getAggregation

          public EnumMap<MainTaxonomicRankEnum,HashMap<String,ClassificationModel>> getAggregation()

      Specified by:
        `getAggregation` in interface `Aggregator<T extends TaxonomyProvider,EnumMap<MainTaxonomicRankEnum,HashMap<String,ClassificationModel>>>`

Copyright © 2013. All Rights Reserved.